// REVISION    : $Revision: 1.4 $
// Mentor Graphics Corporation Proprietary and Confidential
// Copyright 2007 Mentor Graphics Corporation and Licensors
`timescale 1ps/1ps
module
CoreTSE_M2S090_CORETSE_AHB_0_PEREX_PCS
#
(
parameter
CORETSEI
=
1
'b
0
,
parameter
FAMILY
=
19
)
(
CORETSElIOI
,
CORETSEooo0
,
CORETSEioo0
,
CORETSEO110
,
CORETSEio10
,
CORETSEOlII
,
CORETSEiIII
,
CORETSEloo0
,
CORETSEilo0
,
CORETSEI0OI
,
CORETSEO0o0
,
CORETSEOIol
,
CORETSEOIo0
,
CORETSEIOo0
,
CORETSEIIo0
,
CORETSElIo0
,
CORETSEIo10
,
CORETSEllI
,
CORETSElo10
,
CORETSEOOo0
)
;
input
CORETSElIOI
;
input
[
19
:
0
]
CORETSEooo0
;
input
CORETSEioo0
;
input
CORETSEO110
;
input
CORETSEio10
;
input
[
1
:
0
]
CORETSEOlII
;
input
CORETSEiIII
;
input
CORETSEloo0
;
input
CORETSEilo0
;
input
CORETSEI0OI
;
input
CORETSEO0o0
;
input
CORETSEOOo0
;
output
CORETSEOIol
;
output
CORETSEOIo0
;
output
CORETSEIOo0
;
output
CORETSEIIo0
;
output
[
15
:
0
]
CORETSElIo0
;
output
[
1
:
0
]
CORETSEIo10
;
output
[
15
:
0
]
CORETSEllI
;
output
[
1
:
0
]
CORETSElo10
;
reg
CORETSEOIol
;
wire
CORETSEOIo0
;
wire
CORETSEIOo0
;
reg
CORETSEIIo0
;
reg
[
15
:
0
]
CORETSElIo0
;
reg
[
1
:
0
]
CORETSEIo10
;
reg
[
15
:
0
]
CORETSEllI
;
reg
[
1
:
0
]
CORETSElo10
;
parameter
CORETSEOII
=
1
;
reg
CORETSEoIio
,
CORETSEiIio
,
CORETSEOlio
,
CORETSEIlio
;
reg
[
1
:
0
]
CORETSEllio
,
CORETSEolio
;
wire
[
1
:
0
]
CORETSEiOol
;
wire
CORETSEilio
;
reg
CORETSEO0io
;
wire
[
15
:
0
]
CORETSEI0io
;
wire
[
5
:
0
]
CORETSEl0io
;
wire
[
1
:
0
]
CORETSElIol
;
wire
[
1
:
0
]
CORETSEo0io
;
reg
[
31
:
0
]
CORETSEi0io
;
reg
[
11
:
0
]
CORETSEIIol
;
reg
[
3
:
0
]
CORETSEoIol
;
wire
CORETSEO1io
;
wire
[
7
:
0
]
CORETSEI1io
;
wire
CORETSEl1io
,
CORETSEo1io
,
CORETSEi1io
,
CORETSEOoio
;
wire
CORETSEIoio
,
CORETSEloio
;
wire
CORETSEooio
;
wire
CORETSEioio
;
wire
CORETSEOiio
,
CORETSEIiio
;
wire
CORETSEliio
,
CORETSEoiio
;
wire
CORETSEiiio
,
CORETSEOOOi
;
wire
CORETSEIOOi
;
wire
CORETSElOOi
,
CORETSEoOOi
;
wire
CORETSEiOOi
;
wire
CORETSEOIOi
,
CORETSEIIOi
;
wire
CORETSElIOi
,
CORETSEoIOi
;
wire
CORETSEiIOi
,
CORETSEOlOi
;
wire
CORETSEIlOi
,
CORETSEllOi
;
wire
CORETSEolOi
;
wire
CORETSEilOi
;
wire
CORETSEO0Oi
,
CORETSEI0Oi
;
wire
CORETSEl0Oi
;
wire
CORETSEo0Oi
;
wire
CORETSEi0Oi
;
wire
CORETSEO1Oi
;
wire
CORETSEI1Oi
;
wire
CORETSEl1Oi
,
CORETSEo1Oi
;
wire
[
1
:
0
]
CORETSEi1Oi
;
reg
[
1
:
0
]
CORETSEOoOi
;
wire
CORETSEIoOi
,
CORETSEloOi
,
CORETSEooOi
;
wire
CORETSEioOi
;
wire
CORETSEOiOi
;
reg
CORETSEIiOi
;
wire
CORETSEliOi
,
CORETSEoiOi
;
reg
CORETSEiiOi
,
CORETSEOOIi
;
wire
CORETSEIOIi
;
reg
CORETSElOIi
;
wire
CORETSEoOIi
,
CORETSEiOIi
;
wire
CORETSEOIIi
,
CORETSEIIIi
;
wire
CORETSElIIi
,
CORETSEoIIi
;
reg
CORETSEiIIi
,
CORETSEOlIi
;
reg
CORETSEIlIi
,
CORETSEllIi
;
reg
CORETSEolIi
,
CORETSEilIi
;
wire
CORETSEO0Ii
;
wire
CORETSEI0Ii
,
CORETSEl0Ii
,
CORETSEo0Ii
,
CORETSEi0Ii
;
wire
CORETSEO1Ii
;
reg
CORETSEI1Ii
;
wire
CORETSEl1Ii
;
reg
CORETSEo1Ii
;
wire
CORETSEi1Ii
;
reg
CORETSEOoIi
;
wire
CORETSEIoIi
;
reg
CORETSEloIi
;
wire
CORETSEooIi
;
reg
CORETSEioIi
;
wire
CORETSEOiIi
;
reg
CORETSEIiIi
;
wire
CORETSEliIi
;
reg
CORETSEoiIi
;
wire
CORETSEiiIi
;
wire
[
15
:
0
]
CORETSEOOli
;
wire
CORETSEO1lI
;
reg
CORETSEI1lI
;
reg
CORETSEIOli
;
wire
CORETSElOli
;
reg
CORETSEoOli
;
wire
CORETSEiOli
;
reg
CORETSEOIli
;
wire
CORETSEIIli
;
reg
CORETSElIli
;
wire
CORETSEoIli
;
reg
CORETSEiIli
;
wire
CORETSEOlli
;
reg
CORETSEIlli
;
wire
CORETSEllli
;
reg
CORETSEolli
;
wire
CORETSEilli
;
reg
CORETSEO0li
;
wire
[
1
:
0
]
CORETSEI0li
;
wire
[
1
:
0
]
CORETSEl0li
,
CORETSEo0li
;
wire
[
15
:
0
]
CORETSEIlI
;
reg
CORETSEi0li
;
reg
CORETSEO1li
;
wire
CORETSElo1
;
wire
CORETSEoo1
;
assign
CORETSElo1
=
(
FAMILY
==
25
)
?
1
'b
0
:
CORETSEI0OI
;
assign
CORETSEoo1
=
(
FAMILY
==
25
)
?
CORETSEI0OI
:
1
'b
0
;
assign
CORETSEI1li
=
1
'b
0
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoIio
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEoIio
<=
#
CORETSEOII
CORETSEO110
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEiIio
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEiIio
<=
#
CORETSEOII
CORETSEoIio
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOlio
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEOlio
<=
#
CORETSEOII
CORETSEiIio
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIlio
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEIlio
<=
#
CORETSEOII
CORETSEiIio
^
CORETSEOlio
|
CORETSEioo0
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEllio
[
1
:
0
]
<=
#
CORETSEOII
2
'b
00
;
else
if
(
CORETSEOOo0
)
CORETSEllio
[
1
:
0
]
<=
#
CORETSEOII
CORETSEOlII
[
1
:
0
]
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEolio
[
1
:
0
]
<=
#
CORETSEOII
2
'b
00
;
else
if
(
CORETSEOOo0
)
CORETSEolio
[
1
:
0
]
<=
#
CORETSEOII
CORETSEllio
[
1
:
0
]
;
end
assign
CORETSEiOol
[
0
]
=
~
CORETSEloo0
&
CORETSEO0io
;
assign
CORETSEiOol
[
1
]
=
~
CORETSEloo0
&
CORETSElIol
[
0
]
;
assign
CORETSEilio
=
~
CORETSEloo0
&
CORETSElIol
[
1
]
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEO0io
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEO0io
<=
#
CORETSEOII
CORETSEilio
;
end
CoreTSE_M2S090_CORETSE_AHB_0_R10B8B
CORETSEl1li
(
.CORETSEoOol
(
CORETSEooo0
[
9
:
0
]
)
,
.CORETSEiOol
(
CORETSEiOol
[
0
]
)
,
.CORETSEOIol
(
CORETSEOIol
)
,
.CORETSEI1
(
CORETSEI1io
[
7
:
0
]
)
,
.CORETSEIIol
(
CORETSEl0io
[
2
:
0
]
)
,
.CORETSElIol
(
CORETSElIol
[
0
]
)
,
.CORETSEoIol
(
CORETSEo0io
[
0
]
)
)
;
CoreTSE_M2S090_CORETSE_AHB_0_R10B8B
CORETSEo1li
(
.CORETSEoOol
(
CORETSEooo0
[
19
:
10
]
)
,
.CORETSEiOol
(
CORETSEiOol
[
1
]
)
,
.CORETSEOIol
(
CORETSEOIol
)
,
.CORETSEI1
(
CORETSEI0io
[
15
:
8
]
)
,
.CORETSEIIol
(
CORETSEl0io
[
5
:
3
]
)
,
.CORETSElIol
(
CORETSElIol
[
1
]
)
,
.CORETSEoIol
(
CORETSEo0io
[
1
]
)
)
;
assign
CORETSEO1io
=
(
CORETSEooo0
[
9
:
0
]
==
10
'h
27c
)
|
(
CORETSEooo0
[
9
:
0
]
==
10
'h
183
)
;
assign
CORETSEI0io
[
7
:
0
]
=
(
{
8
{
CORETSEO1io
}
}
&
8
'h
3c
)
|
(
{
8
{
~
CORETSEO1io
}
}
&
CORETSEI1io
[
7
:
0
]
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEi0io
[
31
:
0
]
<=
#
CORETSEOII
32
'h
0
;
else
if
(
CORETSEOOo0
)
CORETSEi0io
[
31
:
0
]
<=
#
CORETSEOII
{
CORETSEI0io
[
15
:
0
]
,
CORETSEi0io
[
31
:
16
]
}
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIIol
[
11
:
0
]
<=
#
CORETSEOII
12
'h
0
;
else
if
(
CORETSEOOo0
)
CORETSEIIol
[
11
:
0
]
<=
#
CORETSEOII
{
CORETSEl0io
[
5
:
0
]
,
CORETSEIIol
[
11
:
6
]
}
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoIol
[
3
:
0
]
<=
#
CORETSEOII
4
'h
0
;
else
if
(
CORETSEOOo0
)
CORETSEoIol
[
3
:
0
]
<=
#
CORETSEOII
{
CORETSEo0io
[
1
:
0
]
,
CORETSEoIol
[
3
:
2
]
}
;
end
assign
CORETSEl1io
=
CORETSEIIol
[
2
:
0
]
==
3
'b
000
;
assign
CORETSEo1io
=
CORETSEIIol
[
2
:
0
]
!=
3
'b
000
;
assign
CORETSEIoio
=
CORETSEIIol
[
2
:
0
]
==
3
'b
001
;
assign
CORETSEloio
=
CORETSEIIol
[
2
:
0
]
!=
3
'b
001
;
assign
CORETSEooio
=
CORETSEIIol
[
2
:
0
]
==
3
'b
010
;
assign
CORETSEioio
=
CORETSEIIol
[
2
:
0
]
==
3
'b
011
;
assign
CORETSEOiio
=
CORETSEIIol
[
2
:
0
]
==
3
'b
100
;
assign
CORETSEIiio
=
CORETSEIIol
[
2
:
0
]
!=
3
'b
100
;
assign
CORETSEliio
=
CORETSEIIol
[
2
:
0
]
==
3
'b
100
&
CORETSEi0io
[
7
:
0
]
==
8
'h
BC
;
assign
CORETSEoiio
=
CORETSEIIol
[
2
:
0
]
!=
3
'b
100
|
CORETSEi0io
[
7
:
0
]
!=
8
'h
BC
;
assign
CORETSEiiio
=
CORETSEIIol
[
2
:
0
]
==
3
'b
101
;
assign
CORETSEOOOi
=
CORETSEIIol
[
2
:
0
]
!=
3
'b
101
;
assign
CORETSEIOOi
=
CORETSEIIol
[
2
:
0
]
==
3
'b
111
;
assign
CORETSElOOi
=
CORETSEIIol
[
5
:
3
]
==
3
'b
001
;
assign
CORETSEoOOi
=
CORETSEIIol
[
5
:
3
]
!=
3
'b
001
;
assign
CORETSEiOOi
=
CORETSEIIol
[
5
:
3
]
==
3
'b
010
;
assign
CORETSEOIOi
=
CORETSEIIol
[
5
:
3
]
==
3
'b
011
;
assign
CORETSEIIOi
=
CORETSEIIol
[
5
:
3
]
!=
3
'b
011
;
assign
CORETSElIOi
=
CORETSEIIol
[
5
:
3
]
==
3
'b
100
;
assign
CORETSEoIOi
=
CORETSEIIol
[
5
:
3
]
!=
3
'b
100
;
assign
CORETSEiIOi
=
CORETSEIIol
[
5
:
3
]
==
3
'b
100
&
CORETSEi0io
[
15
:
8
]
==
8
'h
BC
;
assign
CORETSEOlOi
=
CORETSEIIol
[
5
:
3
]
!=
3
'b
100
|
CORETSEi0io
[
15
:
8
]
!=
8
'h
BC
;
assign
CORETSEIlOi
=
CORETSEIIol
[
5
:
3
]
==
3
'b
101
;
assign
CORETSEllOi
=
CORETSEIIol
[
5
:
3
]
!=
3
'b
101
;
assign
CORETSEolOi
=
CORETSEIIol
[
5
:
3
]
==
3
'b
111
;
assign
CORETSEi1io
=
CORETSEIIol
[
8
:
6
]
==
3
'b
000
;
assign
CORETSEilOi
=
CORETSEIIol
[
8
:
6
]
==
3
'b
001
;
assign
CORETSEO0Oi
=
CORETSEIIol
[
8
:
6
]
==
3
'b
011
;
assign
CORETSEI0Oi
=
CORETSEIIol
[
8
:
6
]
!=
3
'b
011
;
assign
CORETSEl0Oi
=
CORETSEIIol
[
8
:
6
]
==
3
'b
100
&
CORETSEi0io
[
23
:
16
]
==
8
'h
BC
;
assign
CORETSEo0Oi
=
CORETSEIIol
[
8
:
6
]
==
3
'b
101
;
assign
CORETSEi0Oi
=
CORETSEIIol
[
11
:
9
]
==
3
'b
001
;
assign
CORETSEO1Oi
=
CORETSEIIol
[
11
:
9
]
==
3
'b
011
;
assign
CORETSEI1Oi
=
CORETSEIIol
[
11
:
9
]
==
3
'b
100
&
CORETSEi0io
[
31
:
24
]
==
8
'h
BC
;
assign
CORETSEOoio
=
CORETSEIIol
[
11
:
9
]
==
3
'b
000
;
assign
CORETSEl1Oi
=
CORETSEIoio
;
assign
CORETSEo1Oi
=
~
CORETSEl1Oi
;
assign
CORETSEi1Oi
=
{
2
{
CORETSElOIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
}
}
&
2
'b
01
|
{
2
{
CORETSEiIIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
}
}
&
2
'b
10
|
{
2
{
CORETSEiIIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
}
}
&
2
'b
01
|
{
2
{
CORETSEIlIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
}
}
&
2
'b
10
|
{
2
{
CORETSEIlIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
}
}
&
2
'b
01
|
{
2
{
CORETSEolIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
}
}
&
2
'b
10
|
{
2
{
CORETSEOlIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEIoOi
}
}
&
2
'b
11
|
{
2
{
CORETSEOlIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
}
}
&
2
'b
01
|
{
2
{
CORETSEllIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEIoOi
}
}
&
2
'b
11
|
{
2
{
CORETSEllIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEooOi
}
}
&
2
'b
01
|
{
2
{
CORETSEllIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
}
}
&
2
'b
01
|
{
2
{
CORETSEilIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEIoOi
}
}
&
2
'b
11
|
{
2
{
CORETSEilIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEooOi
}
}
&
2
'b
01
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOoOi
<=
#
CORETSEOII
2
'b
00
;
else
if
(
CORETSEOOo0
)
CORETSEOoOi
<=
#
CORETSEOII
CORETSEi1Oi
;
end
assign
CORETSEIoOi
=
CORETSEOoOi
==
2
'b
01
;
assign
CORETSEloOi
=
CORETSEOoOi
==
2
'b
10
;
assign
CORETSEooOi
=
CORETSEOoOi
==
2
'b
11
;
assign
CORETSEioOi
=
CORETSEio10
|
CORETSEilo0
;
assign
CORETSEOiOi
=
CORETSEIlio
&
~
CORETSEioOi
|
CORETSEIiOi
&
(
~
CORETSEiIio
&
~
CORETSEioOi
|
CORETSEIiio
|
CORETSEllOi
)
|
CORETSEiiOi
&
(
CORETSEIoio
|
CORETSElOOi
|
CORETSElIOi
|
CORETSEOiio
&
CORETSEllOi
)
|
CORETSEOOIi
&
(
CORETSEIoio
|
CORETSElOOi
|
CORETSElIOi
|
CORETSEOiio
&
CORETSEllOi
)
|
CORETSEIlIi
&
CORETSEIoio
&
(
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEllIi
&
CORETSEIoio
&
(
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEolIi
&
(
CORETSEIoio
|
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEilIi
&
(
CORETSEIoio
|
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
&
(
CORETSEIoOi
|
CORETSEloOi
)
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIiOi
<=
#
CORETSEOII
1
'b
1
;
else
if
(
CORETSEOOo0
)
CORETSEIiOi
<=
#
CORETSEOII
CORETSEOiOi
;
end
assign
CORETSEliOi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSEIiOi
&
CORETSEOiio
&
CORETSEIlOi
|
CORETSEiiOi
&
CORETSEIiio
&
CORETSEoOOi
&
CORETSEoIOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEiiOi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEiiOi
<=
#
CORETSEOII
CORETSEliOi
;
end
assign
CORETSEoiOi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSEiiOi
&
CORETSEOiio
&
CORETSEIlOi
|
CORETSEOOIi
&
CORETSEIiio
&
CORETSEoOOi
&
CORETSEoIOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOOIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEOOIi
<=
#
CORETSEOII
CORETSEoiOi
;
end
assign
CORETSEIOIi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSEOOIi
&
CORETSEOiio
&
CORETSEIlOi
|
CORETSElOIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEOlIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
(
CORETSEloOi
|
CORETSEooOi
)
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSElOIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSElOIi
<=
#
CORETSEOII
CORETSEIOIi
;
end
assign
CORETSEoOIi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSElOIi
&
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEOlIi
&
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
&
CORETSEooOi
|
CORETSEllIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEloOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEiIIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEiIIi
<=
#
CORETSEOII
CORETSEoOIi
;
end
assign
CORETSEiOIi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSElOIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEiIIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEOlIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEIoOi
|
CORETSEllIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEooOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOlIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEOlIi
<=
#
CORETSEOII
CORETSEiOIi
;
end
assign
CORETSEOIIi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSElOIi
&
CORETSEIoio
&
(
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEiIIi
&
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEOlIi
&
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
&
(
CORETSEIoOi
|
CORETSEloOi
)
|
CORETSEllIi
&
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
&
CORETSEooOi
|
CORETSEilIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEloOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIlIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEIlIi
<=
#
CORETSEOII
CORETSEOIIi
;
end
assign
CORETSEIIIi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSEiIIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEOlIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEIlIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEllIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEIoOi
|
CORETSEilIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEooOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEllIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEllIi
<=
#
CORETSEOII
CORETSEIIIi
;
end
assign
CORETSElIIi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSEiIIi
&
CORETSEIoio
&
(
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEOlIi
&
CORETSEIoio
&
(
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEIlIi
&
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
|
CORETSEllIi
&
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
&
(
CORETSEIoOi
|
CORETSEloOi
)
|
CORETSEilIi
&
CORETSEloio
&
(
CORETSElOOi
|
CORETSElIOi
)
&
CORETSEooOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEolIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEolIi
<=
#
CORETSEOII
CORETSElIIi
;
end
assign
CORETSEoIIi
=
(
CORETSEiIio
&
~
CORETSEIlio
|
CORETSEioOi
)
&
(
CORETSEIlIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEllIi
&
CORETSEIoio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEolIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
|
CORETSEilIi
&
CORETSEloio
&
CORETSEoOOi
&
CORETSEoIOi
&
CORETSEIoOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEilIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEilIi
<=
#
CORETSEOII
CORETSEoIIi
;
end
assign
CORETSEO0Ii
=
~
CORETSEOIol
&
CORETSEIOIi
|
CORETSEOIol
&
~
CORETSEOiOi
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOIol
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEOIol
<=
#
CORETSEOII
CORETSEO0Ii
;
end
assign
CORETSEI0Ii
=
CORETSEolio
[
1
:
0
]
==
2
'b
00
;
assign
CORETSEl0Ii
=
CORETSEolio
[
1
:
0
]
==
2
'b
01
;
assign
CORETSEo0Ii
=
(
CORETSEolio
[
1
:
0
]
==
2
'b
10
)
|
~
CORETSEO1li
;
assign
CORETSEi0Ii
=
~
CORETSEo0Ii
;
assign
CORETSEO1Ii
=
~
CORETSEI1Ii
&
~
CORETSEO0Ii
|
CORETSEI1Ii
&
~
CORETSEO0Ii
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEI1Ii
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEI1Ii
<=
#
CORETSEOII
CORETSEO1Ii
;
end
assign
CORETSEl1Ii
=
CORETSEOIol
&
(
CORETSEI1Ii
&
CORETSEoiio
|
CORETSEoiIi
&
CORETSEoiio
|
CORETSEo1Ii
&
CORETSEoiio
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEo1Ii
<=
#
CORETSEOII
1
'b
1
;
else
if
(
CORETSEOOo0
)
CORETSEo1Ii
<=
#
CORETSEOII
CORETSEl1Ii
;
end
assign
CORETSEi1Ii
=
CORETSEOIol
&
(
CORETSEi0Ii
&
CORETSEliio
&
CORETSEIlOi
&
CORETSEi0io
[
15
:
8
]
!=
8
'h
B5
&
CORETSEi0io
[
15
:
8
]
!=
8
'h
42
|
CORETSEo0Ii
&
CORETSEliio
&
CORETSEi0io
[
15
:
8
]
!=
8
'h
B5
&
CORETSEi0io
[
15
:
8
]
!=
8
'h
42
|
CORETSEOoIi
&
CORETSEi0Ii
&
(
CORETSEliio
|
CORETSEoIol
[
0
]
)
&
CORETSEIlOi
&
CORETSEi0io
[
15
:
8
]
!=
8
'h
B5
&
CORETSEi0io
[
15
:
8
]
!=
8
'h
42
|
CORETSEOoIi
&
CORETSEo0Ii
&
(
CORETSEliio
|
CORETSEoIol
[
0
]
)
&
CORETSEi0io
[
15
:
8
]
!=
8
'h
B5
&
CORETSEi0io
[
15
:
8
]
!=
8
'h
42
|
CORETSEloIi
&
CORETSEliio
|
CORETSEiIli
&
CORETSEliio
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOoIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEOoIi
<=
#
CORETSEOII
CORETSEi1Ii
;
end
assign
CORETSEOIo0
=
CORETSEOoIi
;
assign
CORETSEooIi
=
CORETSEOIol
&
(
CORETSEo1Ii
&
(
CORETSEliio
|
CORETSEoIol
[
0
]
)
&
CORETSEIlOi
&
(
CORETSEi0io
[
15
:
8
]
==
8
'h
B5
|
CORETSEi0io
[
15
:
8
]
==
8
'h
42
)
|
CORETSEOoIi
&
(
CORETSEliio
|
CORETSEoIol
[
0
]
)
&
CORETSEIlOi
&
(
CORETSEi0io
[
15
:
8
]
==
8
'h
B5
|
CORETSEi0io
[
15
:
8
]
==
8
'h
42
)
|
CORETSEIiIi
&
(
CORETSEliio
|
CORETSEoIol
[
0
]
)
&
CORETSEIlOi
&
(
CORETSEi0io
[
15
:
8
]
==
8
'h
B5
|
CORETSEi0io
[
15
:
8
]
==
8
'h
42
)
|
CORETSEoiIi
&
(
CORETSEliio
|
CORETSEoIol
[
0
]
)
&
CORETSEIlOi
&
(
CORETSEi0io
[
15
:
8
]
==
8
'h
B5
|
CORETSEi0io
[
15
:
8
]
==
8
'h
42
)
|
CORETSEIlli
&
(
CORETSEliio
|
CORETSEoIol
[
0
]
)
&
CORETSEIlOi
&
(
CORETSEi0io
[
15
:
8
]
==
8
'h
B5
|
CORETSEi0io
[
15
:
8
]
==
8
'h
42
)
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEioIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEioIi
<=
#
CORETSEOII
CORETSEooIi
;
end
assign
CORETSEOiIi
=
CORETSEOIol
&
(
CORETSEioIi
&
CORETSEiiio
&
CORETSEIlOi
|
CORETSEiIli
&
CORETSEiiio
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIiIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEIiIi
<=
#
CORETSEOII
CORETSEOiIi
;
end
assign
CORETSEiiIi
=
CORETSEOiIi
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIIo0
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEIIo0
<=
#
CORETSEOII
CORETSEiiIi
;
end
assign
CORETSEOOli
[
15
:
0
]
=
{
16
{
CORETSEOiIi
}
}
&
{
CORETSEi0io
[
15
:
0
]
}
|
{
16
{
~
CORETSEOiIi
}
}
&
{
CORETSElIo0
[
15
:
0
]
}
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSElIo0
[
15
:
0
]
<=
#
CORETSEOII
16
'h
0
;
else
if
(
CORETSEOOo0
)
CORETSElIo0
[
15
:
0
]
<=
#
CORETSEOII
CORETSEOOli
[
15
:
0
]
;
end
assign
CORETSEliIi
=
CORETSEI1Ii
|
CORETSEOIol
&
(
CORETSEOoIi
&
CORETSEi0Ii
&
(
CORETSEoiio
|
CORETSEllOi
|
CORETSEioo0
)
|
CORETSEioIi
&
(
CORETSEOOOi
|
CORETSEllOi
|
CORETSEioo0
)
|
CORETSEIiIi
&
(
CORETSEoiio
|
CORETSEIoio
|
CORETSElOOi
)
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoiIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEoiIi
<=
#
CORETSEOII
CORETSEliIi
;
end
assign
CORETSEIOo0
=
CORETSEoiIi
;
assign
CORETSEIoIi
=
CORETSEOoIi
&
CORETSEo0Ii
&
CORETSEoiio
&
~
CORETSEoIol
[
0
]
&
CORETSEo1io
|
CORETSEloIi
&
CORETSEoiio
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEloIi
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEloIi
<=
#
CORETSEOII
CORETSEIoIi
;
end
assign
CORETSEO1lI
=
(
CORETSEOoIi
&
CORETSEo0Ii
&
CORETSEoiio
&
~
CORETSEoIol
[
0
]
&
CORETSEl1io
)
|
CORETSEIOli
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEI1lI
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEI1lI
<=
#
CORETSEOII
CORETSEO1lI
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIOli
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEIOli
<=
#
CORETSEOII
(
CORETSEolli
&
(
(
CORETSEioio
&
CORETSEOIOi
&
CORETSEi1io
)
|
(
CORETSEOIOi
&
CORETSEO0Oi
&
CORETSEOoio
)
)
)
;
end
assign
CORETSElOli
=
CORETSEOIol
&
(
CORETSEO1lI
|
CORETSEoOli
&
(
CORETSEiOli
|
CORETSEIIli
)
&
~
CORETSEilli
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoOli
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEoOli
<=
#
CORETSEOII
CORETSElOli
;
end
assign
CORETSEiOli
=
CORETSEOIol
&
CORETSEoOli
&
CORETSEiiio
&
CORETSEIlOi
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOIli
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEOIli
<=
#
CORETSEOII
CORETSEiOli
;
end
assign
CORETSEIIli
=
CORETSEOIol
&
CORETSEoOli
&
(
~
CORETSEiOli
&
~
CORETSEoIli
&
~
CORETSEOlli
&
~
CORETSEllli
|
CORETSEIOOi
|
CORETSEolOi
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSElIli
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSElIli
<=
#
CORETSEOII
CORETSEIIli
;
end
assign
CORETSEoIli
=
CORETSEOIol
&
CORETSEoOli
&
(
CORETSEliio
&
CORETSEIlOi
&
CORETSEl0Oi
|
CORETSEliio
&
CORETSEIlOi
&
(
CORETSEi0io
[
15
:
8
]
==
8
'h
B5
|
CORETSEi0io
[
15
:
8
]
==
8
'h
42
)
&
CORETSEo0Oi
&
CORETSEi0io
[
23
:
16
]
==
8
'h
00
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEiIli
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEiIli
<=
#
CORETSEOII
CORETSEoIli
;
end
assign
CORETSEOlli
=
CORETSEOIol
&
(
CORETSEoOli
&
CORETSEooio
&
CORETSEOIOi
&
CORETSEl0Oi
|
CORETSEolli
&
CORETSEioio
&
CORETSEOIOi
&
CORETSEl0Oi
|
CORETSEIlli
&
CORETSEoiio
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIlli
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEIlli
<=
#
CORETSEOII
CORETSEOlli
;
end
assign
CORETSEllli
=
CORETSEOIol
&
(
(
CORETSEoOli
&
CORETSEiOOi
&
CORETSEO0Oi
&
CORETSEO1Oi
)
|
(
CORETSEoOli
&
CORETSEooio
&
CORETSEOIOi
&
CORETSEO0Oi
)
|
(
CORETSEolli
&
CORETSEioio
&
CORETSEOIOi
&
CORETSEO0Oi
)
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEolli
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEolli
<=
#
CORETSEOII
CORETSEllli
;
end
assign
CORETSEilli
=
CORETSEOIol
&
(
CORETSEoOli
&
CORETSEioio
&
CORETSEOIOi
&
CORETSEO0Oi
)
|
(
CORETSEoOli
&
CORETSEOIOi
&
CORETSEO0Oi
&
CORETSEO1Oi
&
~
CORETSEooio
)
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEO0li
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEO0li
<=
#
CORETSEOII
CORETSEilli
;
end
assign
CORETSEl0li
[
1
]
=
CORETSEIoIi
|
CORETSEIIli
&
CORETSEolOi
|
CORETSEIIli
&
CORETSEi0Oi
|
CORETSEIIli
&
CORETSEiOOi
&
CORETSEO0Oi
&
CORETSEI1Oi
|
CORETSEIIli
&
CORETSEiOOi
&
CORETSEI0Oi
&
CORETSEO1Oi
|
CORETSEIIli
&
CORETSEooio
&
CORETSEIIOi
&
CORETSEl0Oi
|
CORETSEllli
;
assign
CORETSEl0li
[
0
]
=
CORETSEIoIi
|
CORETSEIIli
&
CORETSEIOOi
|
CORETSEIIli
&
CORETSEilOi
|
CORETSEIIli
&
CORETSEiOOi
&
CORETSEO0Oi
&
CORETSEI1Oi
|
CORETSEoIli
&
~
CORETSEiIli
|
CORETSEllli
&
CORETSEooio
|
CORETSEolli
&
CORETSEllli
|
CORETSEilli
;
assign
CORETSEo0li
[
1
]
=
~
CORETSEiIII
&
CORETSEl0li
[
1
]
|
CORETSEiIII
&
CORETSEooo0
[
19
]
;
assign
CORETSEo0li
[
0
]
=
~
CORETSEiIII
&
CORETSEl0li
[
0
]
|
CORETSEiIII
&
CORETSEooo0
[
9
]
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSElo10
[
1
:
0
]
<=
#
CORETSEOII
2
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSElo10
[
1
:
0
]
<=
#
CORETSEOII
CORETSEo0li
[
1
:
0
]
;
end
assign
CORETSEI0li
[
1
]
=
~
CORETSEiIII
&
(
CORETSEO1lI
|
CORETSEIo10
[
0
]
&
~
(
CORETSEl1Ii
|
CORETSEi1Ii
|
CORETSEooIi
|
CORETSEOiIi
|
CORETSEOlli
|
CORETSEllli
|
CORETSEO0li
)
)
|
CORETSEiIII
&
CORETSEooo0
[
18
]
;
assign
CORETSEI0li
[
0
]
=
~
CORETSEiIII
&
(
CORETSEO1lI
|
CORETSEIo10
[
0
]
&
~
(
CORETSEl1Ii
|
CORETSEi1Ii
&
~
(
CORETSEoIli
&
~
CORETSEiIli
)
|
CORETSEooIi
|
CORETSEOiIi
|
(
CORETSEllli
&
CORETSEooio
)
|
(
CORETSEllli
&
CORETSEolli
)
|
CORETSEOlli
|
CORETSEO0li
)
)
|
CORETSEiIII
&
CORETSEooo0
[
8
]
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIo10
[
1
:
0
]
<=
#
CORETSEOII
2
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEIo10
[
1
:
0
]
<=
#
CORETSEOII
CORETSEI0li
[
1
:
0
]
;
end
assign
CORETSEIlI
[
15
:
0
]
=
{
16
{
~
CORETSEiIII
&
CORETSEIoIi
}
}
&
16
'h
0E0E
|
{
16
{
~
CORETSEiIII
&
CORETSEO1lI
}
}
&
16
'h
5555
|
{
16
{
~
CORETSEiIII
&
CORETSEiOli
}
}
&
CORETSEi0io
[
15
:
0
]
|
{
{
8
{
~
CORETSEiIII
&
CORETSEoOli
&
CORETSEIIli
&
~
CORETSEl0li
[
1
]
}
}
&
CORETSEi0io
[
15
:
8
]
,
{
8
{
~
CORETSEiIII
&
CORETSEoOli
&
CORETSEIIli
&
~
CORETSEl0li
[
0
]
}
}
&
CORETSEi0io
[
7
:
0
]
}
|
{
16
{
~
CORETSEiIII
&
CORETSEllli
&
CORETSEiOOi
}
}
&
{
8
'h
0F
,
CORETSEi0io
[
7
:
0
]
}
|
{
16
{
~
CORETSEiIII
&
CORETSEllli
&
CORETSEooio
}
}
&
{
8
'h
0F
,
8
'h
0F
}
|
{
16
{
~
CORETSEiIII
&
CORETSEllli
&
~
CORETSEiOOi
&
~
CORETSEooio
}
}
&
{
8
'h
0F
,
8
'h
0F
}
|
{
16
{
~
CORETSEiIII
&
CORETSEolli
&
CORETSEioio
&
CORETSEOIOi
&
CORETSEi1io
}
}
&
{
8
'h
0F
,
8
'h
0F
}
|
{
16
{
CORETSEiIII
}
}
&
{
CORETSEooo0
[
17
:
10
]
,
CORETSEooo0
[
7
:
0
]
}
;
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEllI
[
15
:
0
]
<=
#
CORETSEOII
16
'h
0
;
else
if
(
CORETSEOOo0
)
CORETSEllI
[
15
:
0
]
<=
#
CORETSEOII
CORETSEIlI
[
15
:
0
]
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEi0li
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEi0li
<=
#
CORETSEOII
CORETSEO0o0
;
end
always
@
(
posedge
CORETSElIOI
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEO1li
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOOo0
)
CORETSEO1li
<=
#
CORETSEOII
CORETSEi0li
;
end
endmodule
